<?php

/****************************************/
// ИНФОРМАЦИЯ:
// ==== Форум: LogicBoard
// ==== Автор: Никита Курдин (ShapeShifter)
// ==== Copyright © Никита Курдин Игоревич 2011
// ==== Данный код защищен авторскими правами
// ==== Официальный сайт: http://logicboard.ru

/****************************************/

if (! defined('LogicBoard_ADMIN') )
{
	@include '../logs/save_log.php';
	exit ( "Error, wrong way to file.<br><a href=\"/\">Go to main</a>." );
}

if (isset ( $_REQUEST['op'] ))
	$op = totranslit ( $_REQUEST['op'] );
else
	$op = "";

if(control_center_admins($member_cca['system']['system']))
{
    switch ($op)
    {
	   case "cache":
            if(control_center_admins($member_cca['system']['cache']))
                include_once LB_CONTROL_CENTER . '/info/cache.php';
            else
            {
                $link_speddbar = "<a href=\"".$redirect_url."?do=system\">Система</a>|Список файлов кеша";
                $control_center->header("Система", $link_speddbar);
                $onl_location = "Система &raquo; Список файлов кеша";
                control_center_admins_error();
            }
	   break;
    
       case "rebuild":
            if(control_center_admins($member_cca['system']['rebuild']))
                include_once LB_CONTROL_CENTER . '/info/rebuild.php';
            else
            {
                $link_speddbar = "<a href=\"".$redirect_url."?do=system\">Система</a>|Пересчёт данных";
                $control_center->header("Сиситема", $link_speddbar);
                $onl_location = "Система &raquo; Пересчёт данных";
                control_center_admins_error();
            }
	   break;      

	   default :
            if(control_center_admins($member_cca['system']['info']))
                include_once LB_CONTROL_CENTER . '/info/main.php';
            else
            {
                $control_center->header("Система", "Система");
                $onl_location = "Система";
                control_center_admins_error();
            }
	   break;
    }
}
else
{
    $control_center->header("Система", "Система");
    $onl_location = "Система";
    control_center_admins_error();
}

if (!isset($_SESSION['back_link_info']))
    $_SESSION['back_link_info'] = $redirect_url."?do=system";

$control_center->footer(6);

?>